Bug 801090 - Logic for handling orphan packages should account for sub directories
Logic for handling orphan packages should account for sub directories
Status: CLOSED WORKSFORME
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified (vote)
: Unspecified
: --
Assigned To: Mike McCune
Katello QA List
: Triaged
Depends On:
Blocks: 801114
  Show dependency treegraph
 
Reported: 2012-03-07 11:28 EST by Og Maciel
Modified: 2014-01-27 09:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 801114 (view as bug list)
Environment:
Last Closed: 2012-05-10 19:16:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pulp.log (1.68 KB, text/plain)
2012-03-07 11:29 EST, Og Maciel
no flags Details
grinder.log (9.54 MB, text/plain)
2012-03-07 11:30 EST, Og Maciel
no flags Details

  None (edit)
Description Og Maciel 2012-03-07 11:28:24 EST
Description of problem:

Current logic during synchronization may not be taking into consideration sub directories in href and concatenating the pkg name to repo dir 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Add a custom repository pointing to latest katello build (see comments for a repository you can use)
2. Synchronize it
3. Promote it to the next available environment
4. Synchronize it again and attempt to promote it to the same environment as before
  
Actual results:

The promotion step fails and pulp.log complains with OSError: [Errno 2] No such file or directory (see attached log).

Grinder shows:

2012-03-06 14:24:15,941 27176:139969332995840: grinder.RepoFetch:INFO: RepoFetch:225 Removing orphan package: /var/lib/pulp//repos/Prague/Library/custom/Automated/katello/packages/createrepo/0.9.8/4.el6/noarch/createrepo-0.9.8-4.el6.noarch.rpm
2012-03-06 14:24:33,846 27176:139969332995840: grinder.RepoFetch:INFO: RepoFetch:225 Removing orphan package: /var/lib/pulp//repos/Prague/Library/custom/Automated/katello/packages/tzdata/2011l/4.el6/noarch/tzdata-java-2011l-4.el6.noarch.rpm
2012-03-06 14:24:33,857 27176:139969332995840: grinder.RepoFetch:INFO: RepoFetch:225 Removing orphan package: /var/lib/pulp//repos/Prague/Library/custom/Automated/katello/packages/tzdata/2011l/4.el6/noarch/tzdata-2011l-4.el6.noarch.rpm


Expected results:


Additional info:
Comment 2 Og Maciel 2012-03-07 11:29:37 EST
Created attachment 568347 [details]
pulp.log
Comment 3 Og Maciel 2012-03-07 11:30:19 EST
Created attachment 568348 [details]
grinder.log
Comment 5 Mike McCune 2012-05-10 19:16:35 EDT
I tried repeatedly to reproduce this issue but could not.  Closing and if it shows up again we can re-open. Og: if you have a solid way to reproduce it I'm happy to work on it again

Note You need to log in before you can comment on or make changes to this bug.